<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * if hook execution is enabled this function will be executed
 * when publishing a document, template, object or class
 * The array $param has all information about the respective document.
 *
 * IMPORTANT!
 * Copy this file to the custom/hooks folder when doing any changes
 * Files in the sample_hooks folder are not executed and are not update-safe and will be overwritten by the next webEdition update
 *
 */
class we_hook_user_preLogin extends we_hook_base{
	/** contains modifyable Username, password, PLEASE NEVER SAVE plaintext password */
	protected $user;

	/** @var string */
	protected $type;

	public function __construct(we_hook_handler $handler, array $params){
		parent::__construct($handler, $params);
		$this->user = &$this->params['user'];
		$this->type = $this->params['type'];
	}

	public function execute(): bool{
		$pwdCheck = &$this->params['checkPassword']; //!!IMORTANT if this is set to false, password is not compared with the saved password

		switch($this->type){
			case 'login':
				if($this->user['Username'] == '__TEST__USER___'){
					//add a prefix if you want
					$this->user['Username'] = 'pre_' . $this->user['Username'];
					//check external if user is allowed, but ensure not to submit password unencrypted
					$userAllowed = false; //ldap_compare();
					if($userAllowed){
						//if the user is external allowed, skip local password check
						//$pwdCheck=false;
						return true;
					}
					//if the user is not allowed, set error text
					$this->hookHandler->setErrorString('Login denied');
					return false;
				}
				break;
			case 'resetPassword':
			//FIXME: not implemented yet
		}
		$this->hookHandler->setErrorString('Login denied');
		return false;
	}

}
