<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev$
 * $Author$
 * $Date$
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_doclist extends we_editor_base{

	public function show(): string{
		assert($this->we_doc instanceof we_folder_base);
		$dm = $this->we_doc->getDoclistModel();
		if(!$dm){
			throw new we_exception_base('no model set');
		}
		$doclistView = ($this->we_doc instanceof we_folder_objectFile ?
			new we_doclist_view($dm, we_doclist_view::DOCLIST_OBJECTFILES) :
			new we_doclist_view($dm));

		return $this->getPage($doclistView->getHtmlEditor(), $doclistView->getSearchJS(), [
				'onload' => "setTimeout(weSearch.init, 200)",
				'onresize' => "weSearch.sizeScrollContent();"
				]
		);
	}

}
