<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 74610b487d71 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-12-03 00:24 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * class    listviewBase
 * @desc    This is the base class for all webEdition listviews.
 *
 */
class we_listview_listdir extends we_listview_base{
	protected $files = [];

	public function __construct(int $dirID, array $index, string $field, string $dirfield, string $sort, bool $desc, bool $searchable){
		parent::__construct();

		$all = DB_WE::$inst->getAllq('SELECT
	f.ID,
	f.Text,
	f.IsFolder,
	f.Path,
	IF(f.IsFolder,pI.ID,f.ID) AS FolderIndex,' .
			($field ? 'c.Dat AS name,' : '') .
			($sort ? 'sc.Dat' : 'f.Text') . ' AS sort
FROM ' .
			FILE_TABLE . ' f LEFT JOIN ' .
			FILE_TABLE . ' pI ON (pI.ParentID=f.ID AND pI.IsFolder=0 AND pI.Text IN ("' . implode('","', $index) . '") AND (pI.IsPublished=1))' .
			($field ? ' LEFT JOIN ' . CONTENT_TABLE . ' c ON (c.DID=IF(f.IsFolder,pI.ID,f.ID) AND c.nHash=IF(f.IsFolder,x\'' . md5($dirfield) . '\',x\'' . md5($field) . '\'))' : '') .
			($sort ? ' LEFT JOIN ' . CONTENT_TABLE . ' sc ON (sc.DID=IF(f.IsFolder,pI.ID,f.ID) AND sc.nHash=x\'' . md5($sort) . '\')' : '') . '
WHERE
	((f.IsPublished=1 ' . ($searchable ? 'AND f.IsSearchable=1' : '') . ') OR (f.IsFolder=1)) AND
	f.ParentID=' . $dirID . '
GROUP BY
	f.ID
ORDER BY
	f.IsFolder DESC,
	' . ($sort ? 'sort' . ($desc ? ' DESC' : '') . ',' : '') .
			'f.Text' . ($desc ? ' DESC' : ''));

		foreach($all as $rec){
			$id = $rec['FolderIndex'];

			if($id){
				$this->files[] = [
					self::ID_FIELD => (int) $rec['ID'],
					self::PATH_FIELD => $rec['Path'],
					self::TEXT_FIELD => (($rec['name'] ?? '') ?: $rec['Text']),
					self::ISFOLDER_FIELD => $rec['IsFolder'],
				];
			}
		}
		$this->anz = $this->anz_all = count($this->files);
	}

	public function next_record(): bool{
		if($this->count < $this->anz){
			$this->Record = $this->files[$this->count];
			$this->count++;
			return true;
		}
		return false;
	}
	public function f(string $key, bool $stripWE = false): string{
		return parent::f($key, $stripWE);
	}

}
