<?php

declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 47b6142f8547 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2022-11-01 23:00 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifVarEmpty extends we_weTag_ifTag{

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes
	 * @param string $content content between openingtag and closing tag @unused-param
	 * @param bool $internal if used by we internally @unused-param
	 * @return string output to print
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$name = self::getAttribute('name', $attribs, '', we_base_request::STRING);
		$orgName = (string) self::getAttribute('_name_orig', $attribs, '', we_base_request::STRING);
		self::$doc = we_base_WE::getWeDoc();

		if(!$name){
			$attribs['_name_orig'] = $orgName = (string) self::getAttribute('match', $attribs, '', we_base_request::STRING);
			$attribs['name'] = self::getPostName($orgName);
		}

		if(!$orgName){
			self::attributeMissing($attribs, ['name' => false], __CLASS__);
		}

		$val = we_tag_var::tag(self::removeAttribs($attribs, ['match']));
		return empty($val);
	}

}
