<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 271bc8277962 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-12-03 00:26 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_listdir extends we_weTag_tag{

	public static function parse(array $attribs, string $content): string{
		return '<?php ' . we_weTag_parser::printTag('listdir', $attribs) . ';?>' . $content . '<?php we_tag_listview::post();?>';
	}

	public static function tag(array $attribs = [], string $content = '', bool $internal = false){
		self::$doc = we_base_WE::getWeDoc();

		$dirID = self::getAttribute('id', $attribs, self::$doc->ParentID, we_base_request::INT);
		$index = self::getAttribute('index', $attribs, ['index.html', 'index.htm', 'index.php', 'default.htm', 'default.html', 'default.php'], we_base_request::STRING_LIST);
		$field = (string) self::getAttribute('field', $attribs, '', we_base_request::STRING);
		$dirfield = (string) self::getAttribute('dirfield', $attribs, $field, we_base_request::STRING);
		$sort = self::getAttribute('order', $attribs, '', we_base_request::STRING);
		$desc = self::getAttribute('desc', $attribs, false, we_base_request::BOOL);
		$searchable = self::getAttribute('searchable', $attribs, false, we_base_request::BOOL);
		we_tag_listview::pre(new we_listview_listdir($dirID, $index, $field, $dirfield, $sort, $desc, $searchable));
		return '';
	}

}
