<?php

declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: e9802040c653 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-12-02 14:22 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_navigationField extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		if(we_tag_navigationWrite::$navObj === null){
			return '';
		}
		$element = end(we_tag_navigationWrite::$navObj->weNavigationItemArray);
		$fieldname = self::getAttributeR('_name_orig', $attribs, '', we_base_request::STRING);
		$compl = self::getAttributeR('complete', $attribs, '', we_base_request::STRING);
		$fields = self::getAttributeR('attributes', $attribs, [], we_base_request::STRING_LIST);
		$thumbnail = self::getAttribute('thumbnail', $attribs, '', we_base_request::STRING);
		$thumbnailid = self::getAttribute('thumbnailid', $attribs, 0, we_base_request::INT);

		return $element->getNavigationField($attribs, $fieldname, $compl, $fields, $thumbnail, $thumbnailid);
	}

}
