<?php

declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_include extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;

		$description = new we_weTag_textAttribute($this, 'description', '', false, '');
		$doctypes = new we_weTag_sqlRowAttribute($this, 'doctypeIDs', '', DOC_TYPES_TABLE, false);
		$gethttp = new we_weTag_selectAttribute($this, 'gethttp', '', we_weTag_selectAttribute::getTrueFalse());
		$id = new we_weTag_selectorAttribute($this, 'id', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, '');
		$id_temp = new we_weTag_selectorAttribute($this, 'id', '', TEMPLATES_TABLE, we_base_ContentTypes::TEMPLATE, false, '');
		$included = new we_weTag_selectAttribute($this, 'included', '', [], false, '');
		$kind = new we_weTag_selectAttribute($this, 'kind', '', [
			new we_weTag_option('all', false, ''),
			new we_weTag_option('int', false, ''),
			new we_weTag_option('ext', false, '')
				], false, '');
		$merge = new we_weTag_selectAttribute($this, 'merge', '', we_weTag_selectAttribute::getTrueFalse());
		$name = new we_weTag_textAttribute($this, 'name', '', false, '');
		$once = new we_weTag_selectAttribute($this, 'once', '', we_weTag_selectAttribute::getTrueFalse());
		$path = new we_weTag_selectorAttribute($this, 'path', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, '', true);
		$path_temp = new we_weTag_selectorAttribute($this, 'path', '', TEMPLATES_TABLE, we_base_ContentTypes::TEMPLATE, false, '', true);
		$rootdir = new we_weTag_selectorAttribute($this, 'rootdir', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, false, '', true);
		$seeMode = new we_weTag_selectAttribute($this, 'seeMode', '', we_weTag_selectAttribute::getTrueFalse());
		$startid = new we_weTag_selectorAttribute($this, 'startid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, false, '');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('document', false, '', [
				$description,
				$doctypes,
				$gethttp,
				$id,
				$kind,
				$merge,
				$name,
				$path,
				$rootdir,
				$seeMode,
				$startid,
					], []),
			new we_weTag_option('template', false, '', [
				$id_temp,
				$once,
				$path_temp,
					], [])], false, '');

		$this->Attributes = [
			$description,
			$doctypes,
			$gethttp,
			$id,
			$id_temp,
			$included,
			$kind,
			$name,
			$once,
			$path,
			$path_temp,
			$rootdir,
			$seeMode,
			$startid,
		];
	}

}
