<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev$
 * $Author$
 * $Date$
 */
class we_tw_userInput extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::CUSTOMER;

		$name = new we_weTag_textAttribute($this, 'name', '', true, '');
		$property = new we_weTag_selectAttribute($this, 'property', '', we_weTag_selectAttribute::getTrueFalse());
		$checked = new we_weTag_selectAttribute($this, 'checked', '', we_weTag_selectAttribute::getTrueFalse());
		$editable = new we_weTag_selectAttribute($this, 'editable', '', we_weTag_selectAttribute::getTrueFalse());
		$removefirstparagraph = new we_weTag_selectAttribute($this, 'removefirstparagraph', '', we_weTag_selectAttribute::getTrueFalse());
		$size = new we_weTag_textAttribute($this, 'size', '', false, '', '', 'number');
		$maxlength = new we_weTag_textAttribute($this, 'maxlength', '', false, '', '', 'number');
		$format = new we_weTag_textAttribute($this, 'format', '');
		$value = new we_weTag_textAttribute($this, 'value', '');
		$values = new we_weTag_textAttribute($this, 'values', '');
		$placeholder = new we_weTag_textAttribute($this, 'placeholder', '');
		$hidden = new we_weTag_selectAttribute($this, 'hidden', '', we_weTag_selectAttribute::getTrueFalse());
		$currentdate = new we_weTag_selectAttribute($this, 'currentdate', '', we_weTag_selectAttribute::getTrueFalse());
		$cols = new we_weTag_textAttribute($this, 'cols', '', false, '', '', 'number');
		$rows = new we_weTag_textAttribute($this, 'rows', '', false, '', '', 'number');
		$pure = new we_weTag_selectAttribute($this, 'pure', '', we_weTag_selectAttribute::getTrueFalse());
		$width = new we_weTag_textAttribute($this, 'width', '', false, '', '', 'number');
		$height = new we_weTag_textAttribute($this, 'height', '', false, '', '', 'number');
		$bgcolor = new we_weTag_textAttribute($this, 'bgcolor', '');
		$class = new we_weTag_textAttribute($this, 'class', '');
		$style = new we_weTag_textAttribute($this, 'style', '');
		$classes = new we_weTag_textAttribute($this, 'classes', '');
		$wysiwyg = new we_weTag_selectAttribute($this, 'wysiwyg', '', we_weTag_selectAttribute::getTrueFalse());
		$commands = new we_weTag_choiceAttribute($this, 'commands', '', we_wysiwyg_editor::getEditorCommands(true), false, true, '');
		$contextmenu = new we_weTag_choiceAttribute($this, 'contextmenu', '', we_wysiwyg_editor::getEditorCommands(true), false, true, '');
		$editorcss = new we_weTag_selectorAttribute($this, 'editorcss', '', FILE_TABLE, we_base_ContentTypes::CSS, false, '');
		$ignoredocumentcss = new we_weTag_selectAttribute($this, 'ignoredocumentcss', '', we_weTag_selectAttribute::getTrueFalse());
		$parentid = new we_weTag_selectorAttribute($this, 'parentid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, true);
		$quality = new we_weTag_selectAttribute($this, 'quality', '', [
			new we_weTag_option('0'),
			new we_weTag_option('1'),
			new we_weTag_option('2'),
			new we_weTag_option('3'),
			new we_weTag_option('4'),
			new we_weTag_option('5'),
			new we_weTag_option('6'),
			new we_weTag_option('7'),
			new we_weTag_option('8'),
			new we_weTag_option('9'),
			new we_weTag_option('10'),
		]);
		$keepratio = new we_weTag_selectAttribute($this, 'keepratio', '', we_weTag_selectAttribute::getTrueFalse());
		$maximize = new we_weTag_selectAttribute($this, 'maximize', '', we_weTag_selectAttribute::getTrueFalse());
		$bordercolor = new we_weTag_textAttribute($this, 'bordercolor', '');
		$checkboxstyle = new we_weTag_textAttribute($this, 'checkboxstyle', '');
		$checkboxclass = new we_weTag_textAttribute($this, 'checkboxclass', '');
		$inputstyle = new we_weTag_textAttribute($this, 'inputstyle', '');
		$inputclass = new we_weTag_textAttribute($this, 'inputclass', '');
		$checkboxtext = new we_weTag_textAttribute($this, 'checkboxtext', '');
		$doc = new we_weTag_selectAttribute($this, 'doc', '', [
			new we_weTag_option('self'),
			new we_weTag_option('top'),
			], false, '');
		$minyear = new we_weTag_textAttribute($this, 'minyear', '', false, '', '', 'number');
		$maxyear = new we_weTag_textAttribute($this, 'maxyear', '', false, '', '', 'number');
		$thumbnail = new we_weTag_sqlRowAttribute($this, 'thumbnail', '', THUMBNAILS_TABLE, false, 'Text');
		$thumbID = new we_weTag_sqlRowAttribute($this, 'thumbnailid', '', THUMBNAILS_TABLE, false, 'ID');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('textinput', false, '', [$name, $property, $editable, $size, $maxlength, $value,
				$class, $style], [$name]),
			new we_weTag_option('textarea', false, '', [$name, $property, $editable, $value, $cols, $rows, $width, $height, $bgcolor, $class, $style, /* $hideautobr, */
				$wysiwyg, $wysiwyg, $ignoredocumentcss, $editorcss, $commands, $contextmenu, $classes], [$name]),
			new we_weTag_option('checkbox', false, '', [$name, $property, $checked, $editable], [$name]),
			new we_weTag_option('radio', false, '', [$name, $property, $checked, $editable, $value], [$name]),
			new we_weTag_option('choice', false, '', [$name, $property, $editable, $size, $maxlength, $value, $values, $class, $style], [$name]),
			new we_weTag_option('select', false, '', [$name, $property, $editable, $size, $value, $values, $placeholder, $class, $style], [$name]),
			new we_weTag_option('hidden', false, '', [$name, $property, $value], [$name]),
			new we_weTag_option('print', false, '', [$name, $property, $format], [$name]),
			new we_weTag_option('date', false, '', [$name, $property, $editable, $currentdate, $format, $value, $minyear, $maxyear, $hidden], [$name]),
			new we_weTag_option('password'),
			new we_weTag_option('img', false, '', [$name, $editable, $size, $value, $width, $height, $thumbnail, $thumbID, $parentid, $quality, $keepratio, $maximize,
				$bordercolor, $checkboxstyle, $checkboxclass, $inputstyle, $inputclass, $checkboxtext], [$name, $parentid]),
			new we_weTag_option('video', false, '', [$name, $editable, $size, $value, $width, $height, $parentid, $checkboxstyle, $checkboxclass, $inputstyle, $inputclass,
				$checkboxtext], [$name, $parentid]),
			new we_weTag_option('audio', false, '', [$name, $editable, $size, $value, $parentid, $checkboxstyle, $checkboxclass, $inputstyle, $inputclass, $checkboxtext], [
				$name, $parentid]),
			new we_weTag_option('binary', false, '', [$name, $editable, $size, $value, $parentid, $bordercolor, $checkboxstyle, $checkboxclass, $inputstyle, $inputclass,
				$checkboxtext], [$name, $parentid]),
			new we_weTag_option('country', false, '', [$name, $size, $class, $style, $doc, $value], [$name]),
			new we_weTag_option('language', false, '', [$name, $size, $class, $style, $doc, $value], [$name])
			], true, '');

		$this->Attributes = [
			$name,
			$property,
			$checked,
			$editable,
			$removefirstparagraph,
			$size, $maxlength, $format, $value, $values, $placeholder, $hidden, $currentdate, $cols,
			$rows, $pure, $width, $height, $bgcolor, $class, $style, $wysiwyg, $ignoredocumentcss, $editorcss, $commands, $contextmenu, $classes,
			$parentid, $quality, $keepratio, $maximize, /* $thumbnail, $thumbid, */ $bordercolor,
			$checkboxstyle, $checkboxclass, $inputstyle, $inputclass, $checkboxtext, $doc, $minyear, $maxyear];
	}

}
