/* global WE, categories_edit */

/**
 * webEdition CMS
 *
 * $Rev: 420ddf6eb85a $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-16 13:26 +0100 $
 *
 * This source is part of the webEdition SDK. The webEdition SDK is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU Lesser General Public License can be found at
 * http://www.gnu.org/licenses/lgpl-3.0.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionSDK/License.txt
 *
 *
 * @license    http://www.gnu.org/licenses/lgpl-3.0.html  LGPL
 */
'use strict';
var lastCFolder,
	categories_edit;

function removeAllCats() {
	if (categories_edit.itemCount > 0) {
		while (categories_edit.itemCount > 0) {
			categories_edit.delItem(categories_edit.itemCount);
		}
	}
}

function addCat(paths) {
	var
		found = false,
		j = 0;
	for (var i = 0; i < paths.length; i++) {
		if (paths[i] !== "") {
			found = false;
			for (j = 0; j < categories_edit.itemCount; j++) {
				if (categories_edit.form.elements[categories_edit.name + "_variant0_" + categories_edit.name + "_item" + j].value === paths[i]) {
					found = true;
				}
			}
			if (!found) {
				categories_edit.addItem();
				categories_edit.setItem(0, (categories_edit.itemCount - 1), paths[i]);
			}
		}
	}
	categories_edit.showVariant(0);
}

function toggleButton() {
	var acin;
	if (document.getElementById('CreateTemplate').checked) {
		WE().layout.button.enable(document, 'select');
		if ((acin = document.getElementById('yuiAcInputTemplate'))) {
			document.getElementById('yuiAcInputTemplate').disabled = false;
			lastCFolder = acin.value;
			acin.readOnly = false;
		}
		return true;
	}
	WE().layout.button.disable(document, 'select');
	if ((acin = document.getElementById('yuiAcInputTemplate'))) {
		document.getElementById('yuiAcInputTemplate').disabled = true;
		acin.readOnly = true;
		acin.value = lastCFolder;
	}
	return true;

}
function incTemp(val) {
	if (val) {
		document.getElementsByName("CreateMasterTemplate")[0].disabled = false;
		document.getElementsByName("CreateIncludedTemplate")[0].disabled = false;
		document.getElementById("label_CreateMasterTemplate").style.color = "black";
		document.getElementById("label_CreateIncludedTemplate").style.color = "black";
	} else {
		document.getElementsByName("CreateMasterTemplate")[0].checked = false;
		document.getElementsByName("CreateIncludedTemplate")[0].checked = false;
		document.getElementsByName("CreateMasterTemplate")[0].disabled = true;
		document.getElementsByName("CreateIncludedTemplate")[0].disabled = true;
		document.getElementById("label_CreateMasterTemplate").style.color = "grey";
		document.getElementById("label_CreateIncludedTemplate").style.color = "grey";
	}
}
function toggleInheritLanguage(val) {
	document.getElementsByName('KeepLanglinks')[0].disabled = !val;
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		url = WE().util.getWe_cmdArgsUrl(args);

	switch (args[0]) {
		case "addCat":
			addCat(args[1].allPaths);
			break;
		case "we_selector_directory":
		case "we_selector_document":
			(new (WE().layout.overlay)(caller, 'top', url, "we_fileselector", WE().consts.size.dialog.big, WE().consts.size.dialog.medium)).setResizeable().setTitle(WE().consts.g_l.dialogTitle.dirSelector).open();
			break;
		case 'setCategories_edit':
			categories_edit = new (WE().util.multi_edit)("categories", window, 0, args[1], 478, false);
			categories_edit.addVariant();
			categories_edit.showVariant(0);
			break;
		case "initProgress":
			setProgress(0);
			break;
		case 'close':
			WE().util.dialogTop(window).doClose();
			break;
		default:
			window.opener.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}
