/**
 * webEdition CMS
 *
 * $Rev: 6f31ae772e29 $
 * $Author: nilsole <nils.reibold@aldente-it.de> $
 * $Date: 2021-12-19 19:28 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

function deleteCategory(obj, cat) {
	WE().util.dialogTop(window).we_cmd('delete_Cat', obj, cat, true);
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments));

	switch (args[0]) {
		case 'we_import_getCSVPreview':
			let data = $('.csvFieldOption');
			var vals = {};
			data.each(function(){
				if(this.tagName === 'DIV' || this.tagName === 'LABEL'){
					let el = this.previousElementSibling;
				vals[el.name] = el.checked;
				} else {
				vals[this.name] = $(this).val();
			}
			});
			let modeRadio = $('[name=importType]');
			modeRadio.each(function() {
				if(!this.checked){
					return;
				}
				switch(this.value){
					case 'documents':
						let tmplID = $('[name=noDocTypeTemplateId]');
						vals[tmplID[0].name] = tmplID.val();
						break;
					case 'objects':
						let objID = $('[name=obj_path_id]');
						vals[objID[0].name] = objID.val();
						break;
				}
			});
			WE().util.rpc(WE().consts.dirs.WEBEDITION_DIR + "rpc.php?mod=import&cmd=getCSVPreview", vals, function(response){
				if(response.Success){
					$('#previewTable').html(response.DataArray.preview);
					if(response.DataArray.hasDate){
						$('#dateFormatTable').show();
					} else {
						$('#dateFormatTable').hide();
					}
				}
			});
			break;
		case 'showHideOptions':
			let docTbl = $('#docSelTable');
			let objTbl = $('#objSelTable');
			if(args[1] === 'documents'){
				docTbl.show();
				objTbl.hide();
			} else {
				docTbl.hide();
				objTbl.show();
			}
			break;
		default:
			WE().util.dialogTop(window).we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}
