/* global top, fileSelect,WE */

/**
 * webEdition CMS
 *
 * $Rev: 033eb5b17efd $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2022-03-04 18:50 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

function setDir(id) {
	if (WE().util.dialogTop(window).fileSelect.data.currentType === "user") {
		WE().util.dialogTop(window).fileSelect.data.currentDir = id;
		WE().util.dialogTop(window).fscmd.location.replace(WE().util.dialogTop(window).queryString(WE().consts.selectors.CMD, id));
	} else {
		WE().util.dialogTop(window).fscmd.location.replace(WE().util.dialogTop(window).queryString(WE().consts.selectors.SETDIR, id));
	}
}

function selectFile(id) {
	var a = WE().util.dialogTop(window).document.getElementsByName("fname")[0],
		el;

	if (id) {
		var e = WE().util.dialogTop(window).getEntry(id);
		if (WE().util.dialogTop(window).fileSelect.data.currentType !== "user" || !e.isFolder) {
			if (a.value != e.text &&
				a.value.indexOf(e.text + ",") === -1 &&
				a.value.indexOf("," + e.text + ",") === -1 &&
				a.value.indexOf("," + e.text + ",") === -1) {

				a.value = a.value ?
					(a.value + "," + e.text) :
					e.text;
			}
			if ((el = WE().util.dialogTop(window).fsbody.document.getElementById("line_" + id))) {
				el.classList.add("selected");
			}
			WE().util.dialogTop(window).fileSelect.data.currentPath = e.path;
			WE().util.dialogTop(window).fileSelect.data.currentID = id;
			WE().util.dialogTop(window).fileSelect.data.currentType = e.contentType;
		}
	} else {
		a.value = "";
		WE().util.dialogTop(window).fileSelect.data.currentPath = "";
	}
}

function queryString(what, id) {
	return WE().util.dialogTop(window).fileSelect.options.formtarget +
		'&we_cmd[what]=' + what + '&we_cmd[table]=' + WE().util.dialogTop(window).fileSelect.options.table +
		'&we_cmd[id]=' + id +
		"&we_cmd[filter]=" + WE().util.dialogTop(window).fileSelect.data.currentType;
}

function press_ok_button() {
	if (WE().util.dialogTop(window).document.getElementsByName("fname")[0].value === '' && WE().util.dialogTop(window).fileSelect.data.currentType !== 'group') {
		WE().util.dialogTop(window).exit_close();
	} else {
		WE().util.dialogTop(window).exit_open();
	}
}