/* global WE, top */

/**
 * webEdition CMS
 *
 * $Rev: cb044d519574 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2022-04-04 17:20 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
var nlView = WE().util.getDynamicVar(document, 'loadVarNewsletter_property', 'data-nlView');

function set_state_edit_delete_recipient(control) {
	var p = document.forms[0].elements[control];
	var i = p.length;

	if (i === 0) {
		WE().layout.button.switch_button_state(document, "edit", "disabled");
		WE().layout.button.switch_button_state(document, "delete", "disabled");
		WE().layout.button.switch_button_state(document, "delete_all", "disabled");
		//edit_enabled = WE().layout.button.switch_button_state(document, "edit", "disabled");
		//delete_enabled = WE().layout.button.switch_button_state(document, "delete", "disabled");
		//delete_all_enabled = WE().layout.button.switch_button_state(document, "delete_all", "disabled");

	} else {
		WE().layout.button.switch_button_state(document, "edit", "enabled");
		WE().layout.button.switch_button_state(document, "delete", "enabled");
		WE().layout.button.switch_button_state(document, "delete_all", "enabled");
		//edit_enabled = WE().layout.button.switch_button_state(document, "edit", "enabled");
		//delete_enabled = WE().layout.button.switch_button_state(document, "delete", "enabled");
		//delete_all_enabled = WE().layout.button.switch_button_state(document, "delete_all", "enabled");
	}
}

function addElement(p, value, text, sel, optionClassName) {
	var i = p.length;

	p.options[i] = new Option(text, value);
	p.options[i].className = optionClassName;

	if (sel) {
		p.selectedIndex = i;
	}
}

function getGroupsNum() {
	return document.we_form.groups.value;
}

function populateVar(p, dest) {
	var arr = [];

	for (var i = 0; i < p.length; i++) {
		arr[i] = p.options[i].text;
	}

	dest.value = arr.join();
}

function populateMultipleVar(p, dest) {
	var arr = [],
		c = 0;

	for (var i = 0; i < p.length; i++) {
		if (p.options[i].selected) {
			c++;
			arr[c] = p.options[i].value;
		}
	}

	dest.value = arr.join();
}

function addEmail(group, email, html, salutation, title, firstname, lastname) {
	var dest = document.forms[0].elements["group" + group + "_Emails"];
	var str = dest.value;

	var arr = (str.length > 0 ? str.split("\n") : []);

	arr[arr.length] = email + "," + html + "," + salutation + "," + title + "," + firstname + "," + lastname;

	dest.value = arr.join("\n");

	top.content.hot = true;
}

function editEmail(group, id, email, salutation, title, firstname, lastname) {
	var dest = document.forms[0].elements["group" + group + "_Emails"];
	var str = dest.value;

	var arr = str.split("\n");

	arr[id] = email + "," + salutation + "," + title + "," + firstname + "," + lastname;


	dest.value = arr.join("\n");

	top.content.hot = true;
}

function mysplice(arr, id) {
	var newarr = [];

	for (var i = 0; i < arr.lenght; i++) {
		if (i != id) {
			newarr[newarr.lenght] = arr[id];
		}
	}
	return newarr;
}

function delEmail(group, id) {
	var dest = document.forms[0].elements["group" + group + "_Emails"];
	var str = dest.value;
	var arr = str.split("\n");

	arr.splice(id, 1);
	dest.value = arr.join("\n");
	top.content.hot = true;
}

function delallEmails(group) {
	var dest = document.forms[0].elements["group" + group + "_Emails"];

	dest.value = "";
	top.content.hot = true;
}

function inSelectBox(p, val) {
	for (var i = 0; i < p.options.length; i++) {

		if (p.options[i].text == val) {
			return true;
		}
	}
	return false;
}

function markEMails() {
}

function switchRadio(a, b, x, c) {
	a.value = 1;
	a.checked = true;
	b.value = 0;
	b.checked = false;

	if (c) {
		c.value = 0;
		c.checked = false;
	}
}

function clickCheck(a) {
	if (a.checked) {
		a.value = 1;
	} else {
		a.value = 0;
	}
}

function popAndSubmit(wname, pnt, width, height) {
	var old = document.we_form.pnt.value;
	document.we_form.pnt.value = pnt;

	(new (WE().layout.overlay)(window, 'top', "about:blank", wname, width, height)).setResizeable().open();
	submitForm(wname);
	document.we_form.pnt.value = old;
}

function doScrollTo() {
	/*if (window.parent.scrollToVal) {
		window.scrollTo(0, window.parent.scrollToVal);
		window.parent.scrollToVal = 0;
	}*/
}

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

/**
 * Newsletter command controler
 */
function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		url = WE().util.getWe_cmdArgsUrl(args);

	if (args[0] !== "switchPage") {
		window.setScrollTo();
	}

	switch (args[0]) {
		case "setFocus":
			window.focus();
			break;
		case "we_users_selector":
			(new (WE().layout.overlay)(caller, 'top', url, "browse_users", WE().consts.size.dialog.small, WE().consts.size.dialog.smaller)).setResizeable().setTitle(WE().consts.g_l.dialogTitle.selectUser).open();
			break;
		case "we_selector_image":
		case "we_selector_document":
			(new (WE().layout.overlay)(caller, 'top', url, "we_docselector", WE().consts.size.dialog.big, WE().consts.size.dialog.medium)).setResizeable().open();
			break;
		case "we_selector_file":
			(new (WE().layout.overlay)(caller, 'top', url, "we_selector", WE().consts.size.dialog.big, WE().consts.size.dialog.medium)).setResizeable().open();
			break;
		case "we_newsletter_dirSelector":
			(new (WE().layout.overlay)(caller, 'top', url, "we_newsletter_dirselector", WE().consts.size.dialog.small, WE().consts.size.dialog.smaller)).setResizeable().open();
			break;
		case "add_customer":
			document.we_form.ngroup.value = args[2];
			document.we_form.ncmd.value = args[0];
			document.we_form.ncustomer.value = args[1].allIDs.join(",");
			top.content.hot = true;
			submitForm();
			break;
		case "del_customer":
			document.we_form.ncmd.value = args[0];
			document.we_form.ncustomer.value = args[1];
			top.content.hot = true;
			submitForm();
			break;
		case "del_all_customers":
		case "del_all_files":
			top.content.hot = true;
			document.we_form.ncmd.value = args[0];
			document.we_form.ngroup.value = args[1];
			submitForm();
			break;
		case "add_file":
			document.we_form.ncmd.value = args[0];
			document.we_form.nfile.value = args[1].currentID;
			document.we_form.ngroup.value = args[3];
			top.content.hot = true;
			submitForm();
			break;
		case "del_file":
			document.we_form.ncmd.value = args[0];
			document.we_form.nfile.value = args[1];
			top.content.hot = true;
			submitForm();
			break;
		case "set_import":
		case "reset_import":
		case "set_export":
		case "reset_export":
			document.we_form.ncmd.value = args[0];
			document.we_form.ngroup.value = args[1];
			submitForm();
			break;
		case "addBlock":
		case "delBlock":
			document.we_form.ncmd.value = args[0];
			document.we_form.blockid.value = args[1];
			top.content.hot = true;
			submitForm();
			break;
		case "addGroup":
		case "delGroup":
			document.we_form.ncmd.value = args[0];
			document.we_form.ngroup.value = args[1];
			top.content.hot = true;
			submitForm();
			break;
		case "popPreview":
			if (document.we_form.ncmd.value === "home") {
				return;
			}
			if (top.content.hot) {
				WE().util.showMessage(WE().consts.g_l.newsletter.must_save_preview, WE().consts.message.WE_MESSAGE_ERROR, window);
				return;
			}
			document.we_form.gview.value = window.parent.edfooter.document.we_form.gview.value;
			document.we_form.hm.value = window.parent.edfooter.document.we_form.hm.value;
			popAndSubmit("newsletter_preview", "preview", 800, 800);
			break;
		case "popSend":
			if (document.we_form.ncmd.value === "home") {
				WE().util.showMessage(WE().consts.g_l.newsletter.no_newsletter_selected, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			if (top.content.hot) {
				WE().util.showMessage(WE().consts.g_l.newsletter.must_save, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			if (document.we_form.IsFolder.value === 1) {
				WE().util.showMessage(WE().consts.g_l.newsletter.no_newsletter_selected, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			args[0] = "popSend_do";
			WE().util.showConfirm(window, "", (args[1] ? WE().consts.g_l.newsletter.send_test_question : WE().consts.g_l.newsletter.send_question), args);
			break;
		case "popSend_do":
			document.we_form.ncmd.value = "popSend";
			if (args[1]) {
				document.we_form.test.value = args[1];
			}
			submitForm();

			break;
		case "popSend_do_cont":
			// args 1 0 => nid
			// args 1 1 => is subject line empty?
			// args 1 2 => is test?
			if (args[1][1]) {
				WE().util.showConfirm(window, "", WE().consts.g_l.newsletter.no_subject, ["popSend_do_cont_yes", args[1], args[2], args[3]]);
				break;
			}

			/*falls through*/
		case "popSend_do_cont_yes":
			url = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=send&nid=" + args[1][0] + (args[1][2] ? '&test=1' : '');
			(new (WE().layout.overlay)(caller, 'top', url, "newsletter_send", WE().consts.size.dialog.small, WE().consts.size.dialog.smaller)).setResizeable().open();
			break;
		case "send_test":
			if (document.we_form.ncmd.value === "home") {
				WE().util.showMessage(WE().consts.g_l.newsletter.no_newsletter_selected, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			if (top.content.hot) {
				WE().util.showMessage(WE().consts.g_l.newsletter.must_save, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			if (document.we_form.IsFolder.value == 1) {
				WE().util.showMessage(WE().consts.g_l.newsletter.no_newsletter_selected, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			WE().util.showConfirm(window, "", WE().util.sprintf(WE().consts.g_l.newsletter.test_email_question, nlView.testMail), ["send_test_do"]);
			//FIXME: check where we get the test-email adress, this has to be set in the stored data.
			break;
		case "send_test_do":
			document.we_form.ncmd.value = "send_test";
			document.we_form.gview.value = window.parent.edfooter.document.we_form.gview.value;
			document.we_form.hm.value = window.parent.edfooter.document.we_form.hm.value;
			submitForm();
			break;
		case "show_log":
			top.content.editor.edbody.document.we_form.newsletterStatus.value = args[1] ? args[1] : '';
			top.content.editor.edbody.document.we_form.newsletterStartTime.value = args[2] ? args[2] : '';
			top.content.editor.edbody.document.we_form.newsletterEndTime.value = args[3] ? args[3] : '';

			if (document.we_form.ncmd.value !== "home") {
				popAndSubmit(args[0], args[0], 650, 650);
			}
			break;
		case "print_lists":
		case "domain_check":
			if (document.we_form.ncmd.value !== "home") {
				popAndSubmit(args[0], args[0], 650, 650);
			}
			break;
		case "settings":
			(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=" + args[0], args[0], WE().consts.size.dialog.small, WE().consts.size.dialog.medium)).setResizeable().open();
			break;
		case "black_list":
			(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=" + args[0], args[0], WE().consts.size.dialog.small, WE().consts.size.dialog.small)).setResizeable().open();
			break;
		case "edit_file":
			if (args[1]) {
				(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=" + args[0] + "&art=" + args[1], args[0], WE().consts.size.dialog.big, WE().consts.size.dialog.small)).setResizeable().open();
			} else {
				(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=" + args[0], args[0], WE().consts.size.dialog.big, WE().consts.size.dialog.small)).setResizeable().open();
			}
			break;
		case "reload_table":
		case "copy_newsletter":
			top.content.hot = true;
			document.we_form.ncmd.value = args[0];
			submitForm();
			break;
		case "add_filter":
		case "del_filter":
			document.we_form.noCustFilter.value = args[2];
			/* falls through */
		case "del_all_filters":
			top.content.hot = true;
			document.we_form.ncmd.value = args[0];
			document.we_form.ngroup.value = args[1];
			submitForm();
			break;
		case "switch_sendall":
			document.we_form.ncmd.value = args[0];
			top.content.hot = true;
			if (document.we_form["sendallcheck_" + args[1]].checked) {
				document.we_form["group" + args[1] + "_SendAll"].value = 1;
			} else {
				document.we_form["group" + args[1] + "_SendAll"].value = 0;
			}
			submitForm();
			break;
		case "save_settings":
			document.we_form.ncmd.value = args[0];
			document.we_form.submit();
			break;
		case "import_csv":
		case "export_csv":
			document.we_form.ncmd.value = args[0];
			submitForm();
			break;
		case "do_upload_csv": // FIXME: move to separate js file
		case "do_upload_black":
			if (WE().util.dialogTop(caller).weFileUpload_instance) {
				if (WE().util.dialogTop(caller).weFileUpload_instance.getUploaderState() !== 'finished') {
					WE().util.dialogTop(caller).weFileUpload_instance.checkStartUpload(args[0]);
					return;
				}

				document.we_form.ncmd.value = args[0];
				submitForm(args[0].substring(3));
			}
			break;
		case "listFile":
			listFile();
			break;
		case "upload_csv":
		case "upload_black":
			(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=" + args[0] + "&grp=" + args[1], args[0], WE().consts.size.dialog.small, WE().consts.size.dialog.smaller)).open();
			break;
		case "add_email":
			document.we_form.group = args[1];
			(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=eemail&grp=" + args[1], "edit_email", WE().consts.size.dialog.small, WE().consts.size.dialog.tiny)).open();
			break;
		case "edit_email":
			var p = document.we_form["we_recipient" + args[1]];
			if (p.selectedIndex < 0) {
				WE().util.showMessage(WE().consts.g_l.newsletter.no_email, WE().consts.message.WE_MESSAGE_ERROR, window);
				return;
			}

			var dest = document.we_form["group" + args[1] + "_Emails"];

			var str = dest.value;
			var arr = str.split("\n");

			var str2 = arr[p.selectedIndex];
			var arr2 = str2.split(",");
			var eid = p.selectedIndex,
				emailx = p.options[p.selectedIndex].text,
				salutation = arr2[1],
				title = arr2[2],
				firstname = arr2[3],
				lastname = arr2[4];

			salutation = encodeURIComponent(salutation.replace("+", "[:plus:]"));
			title = encodeURIComponent(title.replace("+", "[:plus:]"));
			firstname = encodeURIComponent(firstname.replace("+", "[:plus:]"));
			lastname = encodeURIComponent(lastname.replace("+", "[:plus:]"));
			emailx = encodeURIComponent(emailx);
			(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=eemail&grp=" + args[1] + "&etyp=1&eid=" + eid + "&email=" + emailx + "&salutation=" + salutation + "&title=" + title + "&firstname=" + firstname + "&lastname=" + lastname, "edit_email", WE().consts.size.dialog.small, WE().consts.size.dialog.tiny)).setResizeable().open();
			break;
		case "save_black":
		case "import_black":
		case "export_black":
			this.document.we_form.ncmd.value = args[0];
			populateVar(this.document.we_form.blacklist_sel, this.document.we_form.black_list);
			this.submitForm('black_list');
			break;
		case "search_email":
			if (document.we_form.ncmd.value === "home") {
				return;
			}
			var searchname = window.prompt(WE().consts.g_l.newsletter.search_text, "");

			if (searchname !== null) {
				searchEmail(searchname);
			}
			break;
		case "clear_log":
			(new (WE().layout.overlay)(caller, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=" + args[0], args[0], WE().consts.size.dialog.smaller, WE().consts.size.dialog.tiny)).open();
			break;
		case "blocks_selectTemplateCallback":
			document.we_form.elements['block' + args[2] + '_use_def_template'].checked = false;
			we_cmd('setHot');
			break;
		case 'settings_close':
			WE().util.dialogTop(caller).doClose();
			break;
		case 'editEmails_onload':
			caller.document.we_form.emailfield.select();
			caller.document.we_form.emailfield.focus();
			break;
		case 'editEmails_save':
			switch (args[1]) {
				case 2:
					WE().util.dialogTop(caller).opener.setAndSave(
						caller.document.we_form.id.value,
						caller.document.we_form.emailfield.value,
						caller.document.we_form.salutation.value,
						caller.document.we_form.title.value,
						caller.document.we_form.firstname.value,
						caller.document.we_form.lastname.value);
					WE().util.dialogTop(caller).doClose();
					break;
				case 1:
					WE().util.dialogTop(caller).opener.editIt(caller.document.we_form.group.value, caller.document.we_form.id.value, caller.document.we_form.emailfield.value, caller.document.we_form.salutation.value, caller.document.we_form.title.value, caller.document.we_form.firstname.value, caller.document.we_form.lastname.value);
					WE().util.dialogTop(caller).doClose();
					break;
				default:
					WE().util.dialogTop(caller).opener.add(
						caller.document.we_form.group.value,
						caller.document.we_form.emailfield.value,
						caller.document.we_form.salutation.value,
						caller.document.we_form.title.value,
						caller.document.we_form.firstname.value,
						caller.document.we_form.lastname.value);
					WE().util.dialogTop(caller).doClose();
			}
			break;
		case "export_csv_window":
			(new (WE().layout.overlay)(window, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=export_csv_mes&lnk=" + encodeURI(args[1]), "edit_email", WE().consts.size.dialog.smaller, WE().consts.size.dialog.tiny)).open();
			break;
		case "updateLog":
			for (var i = 0; i < args[1].log.length; i++) {
				updateText(args[1].log[i]);
			}
			WE().util.dialogTop(window).send_body.setProgress(args[1].percent);
			if (args[1].text) {
				WE().util.dialogTop(window).send_body.setProgressText("title", args[1].text);
			}
			if (args[1].percent === 100) {
				WE().util.dialogTop(window).send_control.location = "about:blank";
			}
			break;
		case 'nextMails':
			document.we_form.ecs.value = args[2];
			if (WE().util.dialogTop(window).send_control.document.we_form) {
				WE().util.dialogTop(window).send_control.document.we_form.ecs.value = args[2];
			}
			if (args[1]) {//wait
				setTimeout(function (doc) {
					doc.we_form.submit();
				}, args[1], document);
				break;
			}
			document.we_form.submit();
			break;
		case "deleteitDo":
			deleteitDo(args[1]);
			break;
		case "deleteallDo":
			delallEmails(args[1]);
			we_cmd("switchPage", 1);
			break;
		case "delEmailFileDo":
			delEmailFileDo(args[1]);
			break;
		default:
			// go to newsletter_top.js
			var target = top.content;

			if (!target) {
				// we are top of csv importer: go to opener edbody
				// FIXME: extract csv impoerter commands and fns to separate js file
				if (WE().util.dialogTop(window).opener.top.content && WE().util.dialogTop(window).opener.top.content.editor) {
					target = WE().util.dialogTop(window).opener.top.content.editor.edbody;
				} else {
					target = WE().util.dialogTop(window).opener;
				}
			}

			target.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}

function submitForm(target, action, method) {
	var f = window.document.we_form;
	f.target = (target ? target : "edbody");
	f.action = (action ? action : WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter");
	f.method = (method ? method : "post");
	f.submit();
}

function checkData() {
	if (document.we_form.Text.value === "") {
		WE().util.showMessage(WE().consts.g_l.newsletter.empty_name, WE().consts.message.WE_MESSAGE_ERROR, window);
		return false;
	}
	return true;
}

function add(group, newRecipient, htmlmail, salutation, title, firstname, lastname) {
	var //p = document.forms[0].elements["we_recipient" + group],
		optionClassName;

	if (newRecipient !== null) {
		if (newRecipient.length > 0) {
			if (newRecipient.length > 255) {
				WE().util.showMessage(WE().consts.g_l.newsletter.email_max_len, WE().consts.message.WE_MESSAGE_ERROR, window);
				return;
			}

			if (!inSelectBox(document.forms[0].elements["we_recipient" + group], newRecipient)) {
				optionClassName = (isValidEmail(newRecipient) ? "markValid" : "markNotValid");

				addElement(document.forms[0].elements["we_recipient" + group], "#", newRecipient, true, optionClassName);
				addEmail(group, newRecipient, htmlmail, salutation, title, firstname, lastname);
			} else {
				WE().util.showMessage(WE().consts.g_l.newsletter.email_exists, WE().consts.message.WE_MESSAGE_ERROR, window);
			}
		} else {
			WE().util.showMessage(WE().consts.g_l.newsletter.no_email, WE().consts.message.WE_MESSAGE_ERROR, window);
		}
		//set_state_edit_delete_recipient("we_recipient"+group);
	}
}

function deleteit(group) {
	var p = document.forms[0].elements["we_recipient" + group];

	if (p.selectedIndex >= 0) {
		WE().util.showConfirm(window, "", WE().consts.g_l.newsletter.email_delete, ["deleteitDo", group]);
	} else {
		WE().util.showMessage(WE().consts.g_l.newsletter.no_email, WE().consts.message.WE_MESSAGE_ERROR, window);
	}
	//set_state_edit_delete_recipient("we_recipient"+group);
}

function deleteitDo(group) {
	var p = document.forms[0].elements["we_recipient" + group];
	delEmail(group, p.selectedIndex);
	p.options[p.selectedIndex] = null;
}

function deleteall(group) {
	WE().util.showConfirm(window, "", WE().consts.g_l.newsletter.email_delete_all, ["deleteallDo", group]);
}

function editIt(group, index, editRecipient, salutation, title, firstname, lastname) {
	var p = document.forms[0].elements["we_recipient" + group],
		optionClassName;

	if (index >= 0 && editRecipient !== null) {
		if (editRecipient !== "") {
			if (editRecipient.length > 255) {
				WE().util.showMessage(WE().consts.g_l.newsletter.email_max_len, WE().consts.message.WE_MESSAGE_ERROR, window);
				return;
			}
			optionClassName = (isValidEmail(editRecipient) ? "markValid" : "markNotValid");
			p.options[index].text = editRecipient;
			p.options[index].className = optionClassName;
			editEmail(group, index, editRecipient, salutation, title, firstname, lastname);
		} else {
			WE().util.showMessage(WE().consts.g_l.newsletter.no_email, WE().consts.message.WE_MESSAGE_ERROR, window);
		}
	}
}

function searchEmail(searchname) {
	var f = document.we_form,
		c,
		hit = 0, j;

	if (document.we_form.page.value == 1) {
		for (var i = 0; i < f.groups.value; i++) {
			c = f.elements["we_recipient" + i];
			c.selectedIndex = -1;

			for (j = 0; j < c.length; j++) {
				if (c.options[j].text == searchname) {
					c.selectedIndex = j;
					hit++;
				}
			}
		}
		WE().util.showMessage(WE().util.sprintf(WE().consts.g_l.newsletter.search_finished, hit), WE().consts.message.WE_MESSAGE_NOTICE, window);
	}
}

function isValidEmail(email) {
	email = email.toLowerCase();
	return nlView.checkMail ? WE().util.validate.email(email) : true;
}

function setHeaderTitle() {
	if (window.parent.edheader && window.parent.edheader.weTabs && window.parent.edheader.weTabs.setTitlePath) {
		var preObj = document.getElementById("yuiAcInputPathGroup");
		var postObj = document.getElementById("yuiAcInputPathName");

		window.parent.edheader.weTabs.setTitlePath((postObj ? postObj.value : ""), (preObj ? preObj.value : ""));
	} else {
		window.setTimeout(setHeaderTitle, 100);
	}

}

function weShowMailsByStatus(status, group) {
	let maillist = document.getElementById("we_recipient" + group).options;
	switch (status) {
		case "0":
			for (let it of maillist) {
				it.style.display = "";
			}
			break;
		case "1":
			for (let it of maillist) {
				if (it.className === "markValid") {
					it.style.display = "none";
				}
			}
			break;
		default :
	}
}

function changeFieldValue(val, valueField) {
	top.content.hot = true;
	document.we_form.ncmd.value = val;
	document.we_form.ngroup.value = valueField;

	switch (val) {
		case "MemberSince_Date":
		case "LastLogin_Date":
		case "LastAccess_Date":
			document.getElementById(valueField).value = "";
	}
	submitForm();
}

function setScrollTo() {
	window.parent.scrollToVal = window.pageYOffset;
}

function editEmailFile(eid, email, htmlmail, salutation, title, firstname, lastname) {
	(new (WE().layout.overlay)(window, 'top', WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=newsletter&pnt=eemail&eid=" + eid + "&etyp=2&email=" + email + "&salutation=" + salutation + "&title=" + title + "&firstname=" + firstname + "&lastname=" + lastname, "edit_email", WE().consts.size.dialog.smaller, WE().consts.size.dialog.smaller)).setResizeable().open();
}

function setAndSave(eid, email, salutation, title, firstname, lastname) {
	let fr = document.we_form;
	fr.nrid.value = eid;
	fr.email.value = email;
	fr.salutation.value = salutation;
	fr.title.value = title;
	fr.firstname.value = firstname;
	fr.lastname.value = lastname;
	fr.ncmd.value = "save_email_file";
	submitForm("edit_file");
}

function listFile() {
	var fr = document.we_form;
	fr.nrid.value = "";
	fr.email.value = "";
	fr.salutation.value = "";
	fr.title.value = "";
	fr.firstname.value = "";
	fr.lastname.value = "";
	fr.offset.value = 0;
	submitForm("edit_file");
}

function delEmailFile(eid, email) {
	WE().util.showConfirm(window, "", WE().util.sprintf(WE().consts.g_l.newsletter.del_email_file, email), ["delEmailFileDo", eid]);
}

function delEmailFileDo(eid) {
	let fr = document.we_form;
	fr.nrid.value = eid;
	fr.ncmd.value = "delete_email_file";
	submitForm("edit_file");

}

function getStatusContol() {
	return document.we_form[nlView.uid + "_Status"].value;
}

function updateText(text) {
	WE().util.dialogTop(window).send_body.document.we_form.details.value = WE().util.dialogTop(window).send_body.document.we_form.details.value + "\n" + text;
}

function checkTimeout() {
	return document.we_form.ecs.value;
}

function initControl() {
	if (WE().util.dialogTop(window).send_control.init) {
		WE().util.dialogTop(window).send_control.init();
	}
}
