/* global SXE, tinyMCEPopup */

/**
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
var SXE = SXE;

function init() {
	var editor = window.tinyMCEPopup.editor;

	SXE.initElementDialog('del');
	if (SXE.currentAction === "update") {
		setFormValue('datetime', editor.dom.getAttrib(SXE.updateElement, 'datetime'));
		setFormValue('cite', editor.dom.getAttrib(SXE.updateElement, 'cite'));
		SXE.disableRemoveButton(false);
	}
}

function setElementAttribs(elm) {
	setAllCommonAttribs(elm);
	setAttrib(elm, 'datetime');
	setAttrib(elm, 'cite');
	elm.removeAttribute('data-mce-new');
}

function insertDel() {
	var editor = window.tinyMCEPopup.editor;
	var elm = editor.dom.getParent(SXE.focusElement, 'DEL');

	if (elm === null) {
		var s = SXE.inst.selection.getContent();
		if (s.length > 0) {
			insertInlineElement('del');
			var elementArray = SXE.inst.dom.select('del[data-mce-new]');
			for (var i = 0; i < elementArray.length; i++) {
				elm = elementArray[i];
				setElementAttribs(elm);
			}
		}
	} else {
		setElementAttribs(elm);
	}
	editor.nodeChanged();
//	editor.execCommand('mceEndUndoLevel');
}

function removeDel() {
	SXE.removeElement('del');
}

function weTinyDialog_doOk() {
	insertDel();
	WE().util.dialogTop(window).doClose();
}

function weTinyDialog_doRemove() {
	removeDel();
	WE().util.dialogTop(window).doClose();
}

window.tinyMCEPopup.onInit.add(init);
