<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6b5d694631b0 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-06-28 11:37 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
define('WE_DOCUMENT_ROOT', (string) realpath(__DIR__ . '/../'));
require_once('we/include/we.inc.php');

switch($cmd = we_base_request::string('we_cmd', '', 0)){
	case 'checkForToptLogin':
		$cnt = fI('SELECT COUNT(1) FROM ' . FAILED_LOGINS_TABLE . ' WHERE UserTable="tblUser" AND IP="' . DB_WE::$inst->escape($_SERVER['REMOTE_ADDR']) . '" AND LoginDate>(NOW() - INTERVAL ' . we_base_constants::LOGIN_FAILED_TIME . ' MINUTE)');
		$username = we_base_request::string('user');
		$hook = new we_hook_handler('user_preLogin', [
			'user' => [
				'Username' => &$username,
			],
			'type' => 'login'
		]);
		$hookRet = $hook->executeHook();

		if(!fB('SELECT 1 FROM ' . USER_TABLE . ' WHERE IsFolder=0 AND username="' . $DB_WE->escape($username) . '"')){
			we_users_user::logLoginFailed('tblUser', $username);
		}
		$hasTopt = fB('SELECT TOTP!="" FROM ' . USER_TABLE . ' WHERE IsFolder=0 AND username="' . $DB_WE->escape($username) . '"');

		echo json_encode(($cnt >= we_base_constants::LOGIN_FAILED_NR ? ['error' => 'denied'] : ['hasTopt' => (int) $hasTopt]));
		return;
	case 'open_dialog_wysiwyg':
	case 'writeBack_inlineFalse':
	case 'open_dialog_abbr':
	case 'open_dialog_acronym':
	case 'open_dialog_lang':
	case 'open_dialog_xhtmlxtras':
	case 'open_dialog_gallery':
	case 'open_dialog_image':
	case 'open_dialog_hyperlink':
	case 'open_dialog_source':
		$noInternals = we_base_request::bool('we_dialog_args', false, 'outsideWE') ||
			we_base_request::bool('we_dialog_args', false, 'isFrontend') ||
			!isset($_SESSION['user']) || !isset($_SESSION['user']['Username']) || $_SESSION['user']['Username'] === '';

		if(!$noInternals){
			we_html_tools::protect();
		}

		switch($cmd){
			case 'open_dialog_abbr':
				echo we_dialog_abbr::getDialog($noInternals);
				return;
			case 'open_dialog_lang':
				echo we_dialog_lang::getDialog($noInternals);
				return;
			case 'open_dialog_acronym':
				echo we_dialog_acronym::getDialog($noInternals);
				return;
			case 'open_dialog_xhtmlxtras':
				echo we_dialog_xhtmlxtras::getDialog(true);
				return;
			case 'open_dialog_gallery':
				echo we_dialog_gallery::getDialog($noInternals);
				return;
			case 'open_dialog_image':
				echo we_dialog_image::getDialog($noInternals);
				return;
			case 'open_dialog_hyperlink':
				echo we_dialog_linkWysiwyg::getDialog($noInternals);
				return;
			case 'open_dialog_source':
				echo we_dialog_source::getDialog($noInternals);
				return;
			case 'open_dialog_wysiwyg':
			case 'writeBack_inlineFalse':
				echo we_dialog_wysiwyg::getDialog($noInternals);
				return;
		}
		return;
	case 'formmail':
		we_tag_formmail::sendMail();
		return;
	default:
		exit();
}
